/* myexec.h */
#ifndef __MYEXEC__
#define __MYEXEC__


#define MYEXEC_OUT_OF_MEMORY 531
/* proste nejaka uchylna konstanta */

#define PATHNAME_LEN  250

int
able_to_exec(char *cmd);
/* testuje, jestli muzu spustit cmd
   vraci 0 pokud ano, -1 pokud ne a errno rika proc */

int
my_execp(char *cmd);
/* spusti cmd, ktery muze obsahovat i argumenty oddelene mezerama */
/* nevrati se (pokud uspeje) nebo vrati stejnou chybu, jako vraci execvp */
/* je zalozeno na execvp, tedy prohledava i PATH */

int
pipe_to_fork(char *cmd);
/* forkne se, propoji rouru otec.stdout->syn.stdin
   a v synovskem procesu spusti cmd pomoci my_execp
   
   vraci pid syna, pokud uspeje
   pokud selze vraci -1, jestlize selhalo jeste pred forkem,
                   a -2, jestlize selhalo az v synovi po forku
   v obou pripadech je duvod snad uchovan v errno
*/


#endif /* __MYEXEC__ */
