/* charset je charconv handle */
/* tj. drzak ke konvertoru Martina Marese */
/* stara se spravu nazvu kodovani ap.*/

/* Neni upraveno pro rozsirovani poctu znakovych sad pomoci tabgen */

#ifndef __CHARSET_H__
#define __CHARSET_H__

#include "charconv.h"

#ifndef NULL
#define NULL 0
#endif

enum CHARSET_ID
{
  CH_UTF8 = CONV_CHARSET_UTF8, /* -1 */
  CH_ASC  = 0,
  CH_ISO1 = 1,
  CH_ISO2 = 2,
  CH_1250 = 3,
  CH_KAM  = 4,
  CH_KOI8 = 5,
  CH_852  = 6,
  CH_CE   = 7,
  CH_UNKNOWN = 9999
};


void
charset_convert_init(struct conv_context *prevod,
		  void *srcbuff,  void *srcbuff_end,
		  void *destbuff, void *destbuff_end);

int charset_convert(struct conv_context *prevod,
		    int src_code,
		    int dest_code);

int charset_convert_string(char *src,
			 char *dest, char *dest_end,
			 int src_code, int dest_code);

/*
  obe vraci status mj
   CONV_SOURCE_END 1
   CONV_DEST_END 2
   CONV_SKIP 4
*/

typedef enum {
	charset_name_MIME  =0,
	charset_name_short =2,
	charset_name_long  =1
} charset_name_t;


int
a_to_charset(char* MIME_name);

const char * charset_to_a(int, charset_name_t name_type);


#endif /* __CHARSET_H__ */
