/*
  items.h

  cast plotteru, stara se o spravu uspesnych vyhledani v interni pameti

*/


typedef struct _item
{
  char     *url;
  long     modified;
  int      charset;
  char     *title;
  char     *description;
  char     *context;
  int      samples_matched; /* podle tohoto se tridi */
} item;


void
init_items();

void
sort_items();


#include <stdio.h>

int
read_items(FILE *input);
/* nacte polozky do pameti */

void
flush_http_header(FILE *output);

void
flush_items(FILE *output);
/* vysype peknou html stranku s nalezenymi polozkami */


void flush_buffer(FILE *output,char *buffer,
		  int (*substitutor)(FILE *output,char*));
/* vysype buffer\0, na retezce __NECO__ zavola substitutor NECO */
/* buffer musi jiz byt ve vystupni znakove sade */

