/*
  samples.h

  samples se stara o spravu vzorku v internich strukturach

*/

#ifndef __SAMPLES_H__
#define __SAMPLES_H__

#include "cross.h"

#define MAX_SAMPLE_LEN  INTCOM_LINE_LEN
/* nejvetsi delka vzorku */

void init_samples();

int remember_sample(string samp,int required);
/* zkopiruj vzorek do internich struktur
   vrati ID, ktere bylo vzorku prideleno
*/

string get_sample(int id);
/* vrati odkaz do interni kopie vzorku */

void reset_samples_counter();
/* vynuluj pocitadlo vzorku */

void count_sample(int sampid);
/* zapocitej vyskyt vzorku */

int samples_count();
/* vraci pocet vzorku */

int required_samples_present();
/* vraci 1, pokud jsou maji vsechny povinne vzorky nenulove pocitadlo */

#include <stdio.h>

void
flush_samples_names_delimited(FILE *output, char delim);

#define flush_samples_names(OUTPUT)  \
    flush_samples_names_delimited( (OUTPUT), '\n' )
/* vysype prehled vzorku na vystup */
#define flush_samples_string(OUTPUT) \
    flush_samples_names_delimited( (OUTPUT), ' ' )


void
flush_samples_counts(FILE *output);
/* vysype pocty vzorku na vystup */


#endif /* __SAMPLES_H__ */


